---
layout: "docs"
page_title: "Plugins"
sidebar_current: "plugins"
description: |-
  Vagrant comes with many great features out of the box to get your environments
  up and running. Sometimes, however, you want to change the way Vagrant does
  something or add additional functionality to Vagrant. This can be done via
  Vagrant plugins.
---

# Plugins

Vagrant comes with many great features out of the box to get your environments up
and running. Sometimes, however, you want to change the way Vagrant does something
or add additional functionality to Vagrant. This can be done via Vagrant
_plugins_.

Plugins are powerful, first-class citizens that extend Vagrant using a
well-documented, stable API that can withstand major version upgrades.

In fact, most of the core of Vagrant is [implemented using plugins](https://github.com/hashicorp/vagrant/tree/master/plugins).
Since Vagrant [dogfoods](https://en.wikipedia.org/wiki/Eating_your_own_dog_food) its own
plugin API, you can be confident that the interface is stable and well supported.

Use the navigation on the left below the "Plugins" section to learn more
about how to use and build your own plugins.
