---
layout: "vagrant-cloud"
page_title: "About Vagrant Boxes"
sidebar_current: "vagrant-cloud-boxes"
---

# About Vagrant Boxes

Boxes are the package format for [Vagrant](https://vagrantup.com) environments.
A box can be used on any Vagrant-supported platform to bring up an identical
working environment across a development team.

## Vagrant Box Creation and Versioning

Boxes support versioning so that members of your team using Vagrant can update
the underlying box easily, and the people who create boxes can push fixes and
communicate these fixes efficiently.

Vagrant Cloud makes it easy to manage the versioning of boxes.  Versioning boxes in
Vagrant Cloud allows for easy updates, transparent fixes, and clear communication in
changes made. Learn more about the [box release lifecycle
here](/docs/vagrant-cloud/boxes/lifecycle.html).

## Vagrant Box Catalog and Discovery

Vagrant Cloud hosts a catalog of publically available Vagrant Boxes. These are boxes
created by both HashiCorp and community contributions. You can find an owner of
a box by selecting their username in the URL or on the box page.

Public Vagrant boxes let you get up-and-running quickly in unfamiliar
environments.  This is a popular way to set a base development environment
launchable in a single command within an organization or community.
