---
layout: "docs"
page_title: "VMware Provider"
sidebar_current: "providers-vmware"
description: |-
  HashiCorp develops an official VMware Fusion and VMware Workstation provider
  for Vagrant. This provider allows Vagrant to power VMware based machines and
  take advantage of the improved stability and performance that VMware software
  offers.
---

# VMware

[HashiCorp](https://www.hashicorp.com) develops an official
[VMware Fusion](https://www.vmware.com/products/fusion/overview.html)
and [VMware Workstation](https://www.vmware.com/products/workstation/)&nbsp;
[provider](/docs/providers/) for Vagrant. This provider allows
Vagrant to power VMware based machines and take advantage of the
improved stability and performance that VMware software offers.

Learn more about the VMware providers on the
[VMware provider](/vmware) page on
the Vagrant website.

This provider is a drop-in replacement for VirtualBox, meaning that every
VirtualBox feature that Vagrant supports is fully functional in VMware as
well. However, there are some VMware-specific things such as box formats,
configurations, etc. that are documented here.

For the most up-to-date information on compatibility and supported versions of
VMware Fusion and VMware Workstation, please visit the
[Vagrant VMware product page](/vmware). Please note
that VMware Fusion and VMware Workstation are third-party products that must be
purchased and installed separately prior to using the provider.

Use the navigation to the left to find a specific VMware topic to read
more about.
