---
layout: "vmware"
sidebar_current: "vmware-privacy-policy"
page_title: "Privacy Policy - VMware Plugin"
description: |-
  This page details the HashiCorp privacy policy.
---

# HASHICORP, INC. PRIVACY POLICY

<div class="legal-text">
We at HashiCorp, Inc. ("Company," "we," "us," "our") know that our users ("you," "your") care about how your personal information is used and shared, and we take your privacy seriously.  Please read the following to learn more about our Privacy Policy.  By visiting or using the Website or Services in any manner, you acknowledge that you accept the practices and policies outlined in this Privacy Policy, and you hereby consent that we will collect, use, and share your information in the following ways. Any capitalized terms used herein without definition shall have the meaning given to them in the Company Terms of Use.

I. WHAT DOES THIS PRIVACY POLICY COVER?

This Privacy Policy covers our treatment of personally identifiable information ("Personal Information") that we gather when you are accessing or using our Services.  This policy does not apply to the practices of companies that we do not own or control, or to individuals that we do not employ or manage.

We do not knowingly collect or solicit personal information from anyone under the age of 13 or knowingly allow such persons to register for the Services (as that term is defined in our Terms of Use). If you are under 13, please do not attempt to register for the Services or send any information about yourself to us, including your name, address, telephone number, or email address. No one under age 13 may provide any personal information to us or on the Services. In the event that we learn that we have collected personal information from a child under age 13 without verification of parental consent, we will delete that information as quickly as possible. If you believe that we might have any information from or about a child under 13, please contact us at support@hashicorp.com.

We gather various types of Personal Information from our users, as explained more fully below.  We may use this Personal Information to personalize and improve our services, to allow our users to set up a user account and profile, to contact users, to fulfill your requests for certain products and services, to analyze how users utilize the Services, and as otherwise set forth in this Privacy Policy. We may share certain types of Personal Information with third parties, as described below.

II. WHAT INFORMATION DOES COMPANY COLLECT?

A. Information You Provide to Us:

We receive and store any information you knowingly provide to us.  For example, we collect Personal Information such as your name, email address, and browser information,.  You can choose not to provide us with certain information, but then you may not be able to register with us or to take advantage of some of our features.  We may anonymize your Personal Information so that you cannot be individually identified, and provide that information to our partners.

If you have provided us with a means of contacting you, we may use such means to communicate with you. For example, we may send you promotional offers on behalf of other businesses, or communicate with you about your use of the Services.  Also, we may receive a confirmation when you open a message from us. This confirmation helps us make our communications with you more interesting and improve our services. If you do not want to receive communications from us, please indicate your preference by emailing us at support@hashicorp.com. Please note that if you do not want to receive legal notices from us, those legal notices will still govern your use of the Services, and you are responsible for reviewing such legal notices for changes.

B. Information Collected Automatically:

•  Whenever you interact with our Services, we automatically receive and record information on our server logs from your browser including your IP address, "cookie" information, and the page you requested. "Cookies" are identifiers we transfer to your computer or mobile device that allow us to recognize your browser or mobile device and tell us how and when pages and features in our Services are visited and by how many people.  You may be able to change the preferences on your browser or mobile device to prevent or limit your computer or device's acceptance of cookies, but this may prevent you from taking advantage of some of our features.  Our advertising partners may also transmit cookies to your computer or device, when you click on ads that appear on the Services. Also, if you click on a link to a third party website, such third party may also transmit cookies to you.  This Privacy Policy does not cover the use of cookies by any third parties.

•  When we collect usage information (such as the numbers and frequency of visitors to the Website), we only use this data in aggregate form, and not in a manner that would identify you personally.  For example, this aggregate data tells us how often users use parts of the Services, so that we can make the Services appealing to as many users as possible.  We may also provide this aggregate information to our partners; our partners may use such information to understand how often and in what ways people use our Services, so that they, too, can provide you with an optimal experience. We never disclose aggregate information to a partner in a manner that would identify you personally.

III. WILL COMPANY SHARE ANY OF THE PERSONAL INFORMATION IT RECEIVES?

We neither rent nor sell your Personal Information in personally identifiable form to anyone. However, we do share your Personal Information with third parties as described in Section II and in this Section:

A. Affiliated Businesses and Third Party Websites We Do Not Control: In certain situations, businesses or third party websites we're affiliated with may sell items or provide services to you through the Services (either alone or jointly with us).  You can recognize when an affiliated business is associated with such a transaction or service, and we will share your Personal Information with that affiliated business only to the extent that it is related to such transaction or service. One such service may include the ability for you to automatically transmit Third Party Account Information to your Services profile or to automatically transmit information in your Services profile to your third party account. We have no control over the policies and practices of third party websites or businesses as to privacy or anything else, so if you choose to take part in any transaction or service relating to an affiliated website or business, please review all such business' or websites' policies.

B. Agents: We employ other companies and people to perform tasks on our behalf and need to share your information with them to provide products or services to you.    Unless we tell you differently, our agents do not have any right to use the Personal Information we share with them beyond what is necessary to assist us.

C. User Profiles and Submissions: Certain user profile information, including without limitation a user's name, location, and any video or image content that such user has uploaded to the Services, may be displayed to other users to facilitate user interaction within the Services or address your request for Company's services.  Your account privacy settings allow you to limit the other users who can see the Personal Information in your user profile and/or what information in your user profile is visible to others.  Any content you upload to your public user profile, along with any Personal Information or content that you voluntarily disclose online in a manner other users can view (on discussion boards, in messages and chat areas, etc.) becomes publicly available, and can be collected and used by others.  Your user name may also be displayed to other users if and when you send messages or comments or upload images or videos through the Services and other users can contact you through messages and comments.

D. Business Transfers: We may choose to buy or sell assets.  In these types of transactions, customer information is typically one of the business assets that would be transferred.  Also, if we (or our assets) are acquired, or if we go out of business, enter bankruptcy, or go through some other change of control, Personal Information would be one of the assets transferred to or acquired by a third party.

E. Protection of Company and Others: We reserve the right to access, read, preserve, and disclose any information that we reasonably believe is necessary to comply with law or court order; enforce or apply our conditions of use and other agreements; or protect the rights, property, or safety of Company, our employees, our users, or others.  This includes exchanging information with other companies and organizations for fraud protection and credit risk reduction.

F. With Your Consent: Except as set forth above, you will be notified when your Personal Information may be shared with third parties in personally identifiable form, and will be able to prevent the sharing of this information.

IV. IS PERSONAL INFORMATION ABOUT ME SECURE?

Your account is protected by a password for your privacy and security.   You must prevent unauthorized access to your account and Personal Information by selecting and protecting your password appropriately and limiting access to your computer or device and browser by signing off after you have finished accessing your account.

We endeavor to protect the privacy of your account and other Personal Information we hold in our records, but we cannot guarantee complete security. Unauthorized entry or use, hardware or software failure, and other factors, may compromise the security of user information at any time.
The Services may contain links to other sites. We are not responsible for the privacy policies and/or practices on other sites. When following a link to another site you should read that site's privacy policy.

V. WHAT PERSONAL INFORMATION CAN I ACCESS?

You may access, edit, or delete account information by emailing us at support@hashicorp.com.

The information you can view, update, and delete may change as the Services change.  If you have any questions about viewing or updating information we have on file about you, please contact us at support@hashicorp.com. Under California Civil Code Sections 1798.83-1798.84, California residents are entitled to ask us for a notice identifying the categories of Personal Information which we share with our affiliates and/or third parties for marketing purposes, and providing contact information for such affiliates and/or third parties.  If you are a California resident and would like a copy of this notice, please submit a written request to: support@hashicorp.com.

VI. WHAT CHOICES DO I HAVE?

•  You can always opt not to disclose information to use, but keep in mind some information may be needed to register with us or to take advantage of some of our special features.
•  You may be able to add, update, or delete information as explained in Section V above.  When you update information, however, we may maintain a copy of the unrevised information in our records.  You may request deletion of your account by emailing support@hashicorp.com. Please note that some information may remain in our records after your deletion of such information from your account. We may use any aggregated data derived from or incorporating your Personal Information after you update or delete it, but not in a manner that would identify you personally.

VII. CHANGES TO THIS PRIVACY POLICY
We may amend this Privacy Policy from time to time.  Use of information we collect now is subject to the Privacy Policy in effect at the time such information is used.  If we make changes in the way we use Personal Information, we will notify you by posting an announcement on our Website or sending you a message.  You are bound by any changes to the Privacy Policy when you use the Services after such changes have been first posted.

VIII. QUESTIONS OR CONCERNS
If you have any questions or concerns regarding our privacy policies, please send us a detailed message to support@hashicorp.com, and we will try to resolve your concerns.

Effective Date: March, 1 2013
</div>
